Index: /doc/html/arx__ui_8h__incl.dot
===================================================================
--- /doc/html/arx__ui_8h__incl.dot (revision 269)
+++ /doc/html/arx__ui_8h__incl.dot (revision 270)
@@ -14,22 +14,24 @@
   Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node6 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node2 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node7 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node4 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node2 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node8 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node9 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node1 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node10 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
-  Node10 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node11 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
-  Node11 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node10 -> Node12 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node12 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
-  Node12 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node9 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node10 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node10 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node1 -> Node11 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node11 [label="stat/loggers_ui.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers__ui_8h.html",tooltip="UI builders for Loggers."];
+  Node11 -> Node12 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node12 [label="loggers.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$loggers_8h.html",tooltip="Loggers for storing results of experiments."];
   Node12 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node12 -> Node13 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node13 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node11 -> Node13 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 [label="uibuilder.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$uibuilder_8h-source.html"];
+  Node13 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node13 -> Node14 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node14 [label="libconfig/libconfig.h++",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
 }
Index: /doc/html/classbdm_1_1KalmanCh__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1KalmanCh__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1KalmanCh__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-f3759a1554096775a2f67f9d569938e0
+f745b6873f3f79f637639bf686497a87
Index: /doc/html/arx__test_8cpp__incl.dot
===================================================================
--- /doc/html/arx__test_8cpp__incl.dot (revision 261)
+++ /doc/html/arx__test_8cpp__incl.dot (revision 270)
@@ -14,11 +14,13 @@
   Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node6 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node2 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node7 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node4 -> Node7 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node7 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node2 -> Node8 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node8 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
   Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
-  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node9 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node9 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node10 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
+  Node10 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node10 -> Node5 [color="midnightblue",fontsize=10,style="solid",fontname="FreeSans"];
 }
Index: /doc/html/classbdm_1_1KFcondQR__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1KFcondQR__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1KFcondQR__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-399f121303f338fe98a8e821ab1ccb42
+f187dadc409871559f10e832f64057fe
Index: /doc/html/classbdm_1_1BM__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1BM__coll__graph.md5 (revision 269)
+++ /doc/html/classbdm_1_1BM__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-13c3da2771ad8dd629f66e24bd385d52
+063cd4792e7d3f5e3760ccc6e4df2db7
Index: /doc/html/loggers__ui_8h__incl.md5
===================================================================
--- /doc/html/loggers__ui_8h__incl.md5 (revision 261)
+++ /doc/html/loggers__ui_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-aab413ff6fd1d47e5e5d1b5ebc1e08ea
+0971e495d35d03163d897767743f62d0
Index: /doc/html/classbdm_1_1mEF__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1mEF__coll__graph.md5 (revision 261)
+++ /doc/html/classbdm_1_1mEF__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-713bb673556205bf84de7594e3d15ec1
+39922644b1f3b9437682b2eb3d923a7b
Index: /doc/html/classbdm_1_1mlstudent__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1mlstudent__coll__graph.md5 (revision 261)
+++ /doc/html/classbdm_1_1mlstudent__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-12575dca75f948550951d4226d6e5b96
+a3bd95e3928af67ebde49a9df937c7ba
Index: /doc/html/classbdm_1_1mlnorm__coll__graph.md5
===================================================================
--- /doc/html/classbdm_1_1mlnorm__coll__graph.md5 (revision 261)
+++ /doc/html/classbdm_1_1mlnorm__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-ea0eddd9bb7df0300c17c44cd923ae73
+24078c4b63b2e799fb3049158883e9d7
Index: /doc/latex/classbdm_1_1PF__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1PF__coll__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1PF__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-68c47cce30681fd87656c6a7ee340ace
+5f6100cddc63683ceb2326542cb5a77e
Index: /doc/latex/classbdm_1_1MPF__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1MPF__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1MPF__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 378 442
+%%PageBoundingBox: 36 36 378 426
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 342 406 boxprim clip newpath
+36 36 342 390 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -254,5 +254,5 @@
 % Node3
 gsave
-[ /Rect [ 0 231 58 251 ]
+[ /Rect [ 0 229 58 249 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1BM.html) >>
@@ -260,20 +260,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 0 230 moveto
-0 251 lineto
-59 251 lineto
-59 230 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 0 230 moveto
-0 251 lineto
-59 251 lineto
-59 230 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-7.5 237.5 moveto 43 (bdm::BM) alignedtext
+newpath 0 228 moveto
+0 249 lineto
+59 249 lineto
+59 228 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 228 moveto
+0 249 lineto
+59 249 lineto
+59 228 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+7.5 235.5 moveto 43 (bdm::BM) alignedtext
 grestore
 % Node3->Node2
@@ -282,23 +282,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 35 220 moveto
-44 186 63 118 70 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 31.52 219.42 moveto
-32 230 lineto
-38.23 221.43 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 31.52 219.42 moveto
-32 230 lineto
-38.23 221.43 lineto
+newpath 35 218 moveto
+44 184 63 118 70 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 31.52 217.42 moveto
+32 228 lineto
+38.23 219.43 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 31.52 217.42 moveto
+32 228 lineto
+38.23 219.43 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 87 377 171 397 ]
+[ /Rect [ 87 361 171 381 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 87 376 moveto
-87 397 lineto
-172 397 lineto
-172 376 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 87 376 moveto
-87 397 lineto
-172 397 lineto
-172 376 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-94.5 383.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 87 360 moveto
+87 381 lineto
+172 381 lineto
+172 360 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 87 360 moveto
+87 381 lineto
+172 381 lineto
+172 360 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+94.5 367.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node4->Node3
@@ -328,24 +328,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 95 371 moveto
-81 363 66 352 56 338 curveto
-37 310 31 270 30 251 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 93.56 374.2 moveto
-104 376 lineto
-96.96 368.08 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 93.56 374.2 moveto
-104 376 lineto
-96.96 368.08 lineto
+newpath 96 355 moveto
+82 347 67 336 56 322 curveto
+39 299 33 266 30 249 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 94.56 358.2 moveto
+105 360 lineto
+97.96 352.08 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 94.56 358.2 moveto
+105 360 lineto
+97.96 352.08 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 65 317 121 337 ]
+[ /Rect [ 65 301 121 321 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -353,20 +353,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 65 316 moveto
-65 337 lineto
-121 337 lineto
-121 316 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 65 316 moveto
-65 337 lineto
-121 337 lineto
-121 316 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-73 323.5 moveto 40 (bdm::RV) alignedtext
+newpath 65 300 moveto
+65 321 lineto
+121 321 lineto
+121 300 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 65 300 moveto
+65 321 lineto
+121 321 lineto
+121 300 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+73 307.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node4->Node5
@@ -375,18 +375,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 117 367 moveto
-111 357 104 345 99 337 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 114.08 368.96 moveto
-122 376 lineto
-120.2 365.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 114.08 368.96 moveto
-122 376 lineto
-120.2 365.56 lineto
+newpath 117 351 moveto
+111 341 104 329 99 321 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 114.08 352.96 moveto
+122 360 lineto
+120.2 349.56 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 114.08 352.96 moveto
+122 360 lineto
+120.2 349.56 lineto
 closepath stroke
 grestore
@@ -421,24 +421,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 133 366 moveto
-137 343 141 304 136 272 curveto
-130 235 112 195 102 177 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 129.53 365.51 moveto
-131 376 lineto
-136.39 366.88 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 129.53 365.51 moveto
-131 376 lineto
-136.39 366.88 lineto
+newpath 133 350 moveto
+137 329 140 296 136 268 curveto
+129 233 111 195 102 177 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 129.53 349.51 moveto
+131 360 lineto
+136.39 350.88 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 129.53 349.51 moveto
+131 360 lineto
+136.39 350.88 lineto
 closepath stroke
 grestore
 % Node7
 gsave
-[ /Rect [ 170 231 234 251 ]
+[ /Rect [ 170 229 234 249 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1epdf.html) >>
@@ -446,20 +446,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 170 230 moveto
-170 251 lineto
-235 251 lineto
-235 230 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 170 230 moveto
-170 251 lineto
-235 251 lineto
-235 230 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-177.5 237.5 moveto 49 (bdm::epdf) alignedtext
+newpath 170 228 moveto
+170 249 lineto
+235 249 lineto
+235 228 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 170 228 moveto
+170 249 lineto
+235 249 lineto
+235 228 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+177.5 235.5 moveto 49 (bdm::epdf) alignedtext
 grestore
 % Node4->Node7
@@ -468,19 +468,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 153 370 moveto
-157 366 161 362 164 358 curveto
-187 323 197 272 201 251 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 150.9 367.2 moveto
-145 376 lineto
-155.1 372.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 150.9 367.2 moveto
-145 376 lineto
-155.1 372.8 lineto
+newpath 153 354 moveto
+157 350 161 346 164 342 curveto
+185 312 196 269 200 249 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 150.9 351.2 moveto
+145 360 lineto
+155.1 356.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 150.9 351.2 moveto
+145 360 lineto
+155.1 356.8 lineto
 closepath stroke
 grestore
@@ -490,26 +490,23 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 74 309 moveto
-70 305 67 301 64 298 curveto
-52 282 41 263 35 251 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 71.45 311.4 moveto
-81 316 lineto
-76.4 306.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 71.45 311.4 moveto
-81 316 lineto
-76.4 306.45 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-67.5 289 moveto 15 (drv) alignedtext
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-70.5 276 moveto 9 (rv) alignedtext
+newpath 75 293 moveto
+71 289 68 286 64 282 curveto
+55 271 44 258 37 249 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 72.45 295.4 moveto
+82 300 lineto
+77.4 290.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 72.45 295.4 moveto
+82 300 lineto
+77.4 290.45 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+67.5 272.5 moveto 15 (drv) alignedtext
 grestore
 % Node5->Node6
@@ -518,25 +515,22 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 93 306 moveto
-94 271 96 203 97 177 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 89.5 306 moveto
-93 316 lineto
-96.5 306 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 89.5 306 moveto
-93 316 lineto
-96.5 306 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-99.5 245 moveto 9 (rv) alignedtext
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-97 232 moveto 14 (rvc) alignedtext
+newpath 93 290 moveto
+94 258 96 200 97 177 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 89.5 290 moveto
+93 300 lineto
+96.5 290 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 89.5 290 moveto
+93 300 lineto
+96.5 290 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+97 236.5 moveto 14 (rvc) alignedtext
 grestore
 % Node5->Node7
@@ -545,22 +539,22 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 115 310 moveto
-138 292 171 265 189 251 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 112.9 307.2 moveto
-107 316 lineto
-117.1 312.8 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 112.9 307.2 moveto
-107 316 lineto
-117.1 312.8 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-158.5 282.5 moveto 9 (rv) alignedtext
+newpath 119 294 moveto
+140 280 170 261 187 249 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 116.38 291.54 moveto
+110 300 lineto
+120.26 297.37 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 116.38 291.54 moveto
+110 300 lineto
+120.26 297.37 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+152.5 272.5 moveto 9 (rv) alignedtext
 grestore
 % Node6->Node2
@@ -596,23 +590,23 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 185 223 moveto
-175 214 164 204 153 196 curveto
-143 188 131 182 120 177 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 182.45 225.4 moveto
-192 230 lineto
-187.4 220.45 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 182.45 225.4 moveto
-192 230 lineto
-187.4 220.45 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-172 200.5 moveto 12 (ep) alignedtext
+newpath 184 221 moveto
+174 213 163 203 153 196 curveto
+142 189 130 182 119 177 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 181.45 223.4 moveto
+191 228 lineto
+186.4 218.45 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 181.45 223.4 moveto
+191 228 lineto
+186.4 218.45 lineto
+closepath stroke
+0.000 0.000 0.000 edgecolor
+10 /FreeSans set_font
+171 200.5 moveto 12 (ep) alignedtext
 grestore
 % Node8
@@ -646,18 +640,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 199 220 moveto
-197 206 195 188 193 177 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 195.52 220.4 moveto
-200 230 lineto
-202.49 219.7 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 195.52 220.4 moveto
-200 230 lineto
-202.49 219.7 lineto
+newpath 199 218 moveto
+197 204 195 188 193 177 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 195.52 218.4 moveto
+200 228 lineto
+202.49 217.7 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 195.52 218.4 moveto
+200 228 lineto
+202.49 217.7 lineto
 closepath stroke
 grestore
@@ -687,19 +681,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 215 221 moveto
-222 209 231 193 237 178 curveto
-247 148 253 111 255 93 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 211.63 219.74 moveto
-209 230 lineto
-217.46 223.62 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 211.63 219.74 moveto
-209 230 lineto
-217.46 223.62 lineto
+newpath 216 219 moveto
+223 208 231 192 237 178 curveto
+248 148 253 111 255 93 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 212.63 217.74 moveto
+210 228 lineto
+218.46 221.62 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 212.63 217.74 moveto
+210 228 lineto
+218.46 221.62 lineto
 closepath stroke
 grestore
@@ -827,5 +821,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 378 442
+%%BoundingBox: 36 36 378 426
 end
 restore
Index: /doc/latex/classbdm_1_1datalink__m2e__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2e__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2e__coll__graph.dot (revision 270)
@@ -5,4 +5,4 @@
   Node1 [label="bdm::datalink_m2e",height=0.2,width=0.4,color="black", fillcolor="grey75", style="filled" fontcolor="black"];
   Node2 -> Node1 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node2 [label="bdm::datalink_e2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__e2e.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
+  Node2 [label="bdm::datalink",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
 }
Index: /doc/latex/inline_dotgraph_1.dot
===================================================================
--- /doc/latex/inline_dotgraph_1.dot (revision 264)
+++ /doc/latex/inline_dotgraph_1.dot (revision 270)
@@ -1,19 +1,27 @@
  
-	digraph datalink {
-		node [shape=record];
-		subgraph cluster0 {
-			label = "Up";
-	    	up [label="<1>|<2>|<3>|<4>|<5>"];
-			color = "white"
-	}
-		subgraph cluster1{
-			label = "Down";
-			labelloc = b;
-	    	down [label="<1>|<2>|<3>"];
-			color = "white"
-	}
-	    up:1 -> down:1;
-	    up:3 -> down:2;
-	    up:5 -> down:3;
-	}
-	
+digraph datalink {
+rankdir=LR;
+subgraph cluster0 {
+node [shape=record];
+label = "RV_MAP \n std::map<string,int>";
+map [label="{{\"a\"| \"b\" | \"c\"} | {<3> 3 |<1> 1|<2> 2}}"];
+color = "white"
+}
+subgraph cluster1{
+node [shape=record];
+label = "RV_NAMES";
+names [label="{<1> \"b\" | <2> \"c\" | <3>\"a\" }"];
+color = "white"
+}
+subgraph cluster2{
+node [shape=record];
+label = "RV_SIZES";
+labelloc = b;
+sizes [label="{<1>1 |<2> 4 |<3> 1}"];
+color = "white"
+}
+map:1 -> names:1;
+map:1 -> sizes:1;
+map:3 -> names:3;
+map:3 -> sizes:3;
+}
Index: /doc/latex/classbdm_1_1KFcondR__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1KFcondR__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1KFcondR__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid"];
Index: /doc/latex/arx_8h__incl.dot
===================================================================
--- /doc/latex/arx_8h__incl.dot (revision 261)
+++ /doc/latex/arx_8h__incl.dot (revision 270)
@@ -12,11 +12,13 @@
   Node4 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
   Node5 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
-  Node6 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node6 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
-  Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node3 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
+  Node6 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="../stat/libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
   Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
-  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node9 [color="midnightblue",fontsize=10,style="solid"];
+  Node9 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node9 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
 }
